Bug 207383 - databases/sqlite3: UPD_DEL_LIMIT option doesn't work
Summary: databases/sqlite3: UPD_DEL_LIMIT option doesn't work
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-20 23:33 UTC by Steven Hartland
Modified: 2018-09-20 21:13 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (pavelivolkov)


Attachments
svn-diff-sqlite3-limit-option (1.68 KB, patch)
2018-02-28 11:42 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Hartland freebsd_committer 2016-02-20 23:33:51 UTC
Due to the fact the port uses the autoconf source which is an Amalgamation the port UPD_DEL_LIMIT option doesn't actually work.

The following require compile from source not Amalgamation:
SQLITE_ENABLE_UPDATE_DELETE_LIMIT
SQLITE_OMIT_ALTERTABLE
SQLITE_OMIT_ANALYZE
SQLITE_OMIT_ATTACH
SQLITE_OMIT_AUTOINCREMENT
SQLITE_OMIT_CAST
SQLITE_OMIT_COMPOUND_SELECT
SQLITE_OMIT_EXPLAIN
SQLITE_OMIT_FOREIGN_KEY
SQLITE_OMIT_PRAGMA
SQLITE_OMIT_REINDEX
SQLITE_OMIT_SUBQUERY
SQLITE_OMIT_TEMPDB
SQLITE_OMIT_TRIGGER
SQLITE_OMIT_VACUUM
SQLITE_OMIT_VIEW
SQLITE_OMIT_VIRTUALTABLE

https://www.sqlite.org/howtocompile.html
Comment 1 Martin Wilke freebsd_committer 2017-03-04 14:54:28 UTC
Hi,

Is this PR still relevant?
Comment 2 Martin Wilke freebsd_committer 2017-03-04 14:54:42 UTC
Hi,

Is this PR still relevant?
Comment 3 Pavel Volkov 2017-03-05 04:39:54 UTC
Hello.
Yes it's true.
I'm creating a new port. It is using the "Alternative Source Code Formats" as the source.
Comment 4 Pavel Volkov 2017-03-05 04:44:25 UTC
(In reply to Martin Wilke from comment #1)
Hello. As you wish. I created warning in the current port version.

UPD_DEL_LIMIT_PREVENTS_MSG=     this option may only be used when the library is built from source, not from the amalgamation. Please, do not select it with this port.
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-01-16 12:06:12 UTC
Is this solverd? (and could be closed)?
Comment 6 Lapo Luchini 2018-02-28 10:56:58 UTC
I probably misunderstood something, but I wonder why this port has an option and then warns that it cannot be used with this port…?

I hope PR 220528 lands soon. :)
Comment 7 Walter Schwarzenfeld freebsd_triage 2018-02-28 11:36:45 UTC
Option should removed.
Comment 8 Walter Schwarzenfeld freebsd_triage 2018-02-28 11:42:33 UTC
Created attachment 191074 [details]
svn-diff-sqlite3-limit-option
Comment 9 commit-hook freebsd_committer 2018-09-20 21:05:43 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 20 21:05:37 UTC 2018
New revision: 480212
URL: https://svnweb.freebsd.org/changeset/ports/480212

Log:
  databases/sqlite3: update to 3.25.1

  While here, UPD_DEL_LIMIT option which didn't work.

  PR:		231518
  PR:		207383
  Submitted by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)

Changes:
  head/databases/sqlite3/Makefile
  head/databases/sqlite3/distinfo
Comment 10 Steve Wills freebsd_committer 2018-09-20 21:13:00 UTC
Should be fixed now, report back if not. Thanks!